add_refresh< Problem, std::false_type >
Inheritance diagram for add_refresh< Problem, std::false_type >:

## Public Types

typedef Problem::float_type | float_type
typedef Problem::value_type | value_type

## Public Member Functions

| add_refresh (const add_refresh &f)
| add_refresh (const Problem &f)
void | refresh (float_type, const value_type &, const value_type &) const
add_refresh< Problem > & | operator= (add_refresh< Problem > &&f)

## Detailed Description

### template<class Problem>
class rheolef::details::add_refresh< Problem, std::false_type >

Definition at line 120 of file newton_add_missing.h.

## Member Typedef Documentation

## float_type

typedef Problem::float_type float_type

Definition at line 122 of file newton_add_missing.h.

## value_type

typedef Problem::value_type value_type

Definition at line 123 of file newton_add_missing.h.

## Constructor & Destructor Documentation

## add_refresh() [1/2]

add_refresh | ( | const add_refresh< Problem, std::false_type > & | f | ) |

Definition at line 124 of file newton_add_missing.h.

## add_refresh() [2/2]

add_refresh | ( | const Problem & | f | ) |

explicit

Definition at line 125 of file newton_add_missing.h.

## Member Function Documentation

## refresh()

void refresh | ( | float_type | ,
|  | const value_type & | ,
|  | const value_type & |
| ) |  | const

Definition at line 126 of file newton_add_missing.h.

## operator=()

add_refresh<Problem>& operator= | ( | add_refresh< Problem > && | f | ) |

Definition at line 127 of file newton_add_missing.h.

The documentation for this class was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/main/lib/newton_add_missing.h